<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/img_bg">

    <com.dlc.eboard.ui.widget.TitleBar
        android:id="@+id/titleBar"
        android:layout_width="0dp"
        android:layout_height="56dp"
        android:background="@mipmap/img_navigation_bg"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:showNotice="true"
        app:signed="false" />

    <com.dlc.eboard.ui.widget.NavViewCompat
        android:id="@+id/nav_view"
        android:layout_width="0dp"
        android:layout_height="42dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/titleBar"
        app:location="身份验证"
        app:showBack="true"
        app:showFingerEnroll="true"
        app:showHome="false" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="17dp"
        android:layout_marginTop="7dp"
        android:layout_marginEnd="17dp"
        android:layout_marginBottom="50dp"
        android:background="@drawable/shape_rect_round_11_solid_white_20p"
        android:padding="17dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/nav_view">

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/guideline"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.5" />

        <ImageView
            android:id="@+id/step1Image"
            android:layout_width="33dp"
            android:layout_height="33dp"
            android:layout_marginTop="50dp"
            android:layout_marginEnd="180dp"
            android:contentDescription="@null"
            android:src="@mipmap/icon_sfrz_yi"
            app:layout_constraintEnd_toStartOf="@id/guideline"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/step1Text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:textColor="@android:color/white"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="@id/step1Image"
            app:layout_constraintStart_toStartOf="@id/step1Image"
            app:layout_constraintTop_toBottomOf="@id/step1Image"
            tools:text="人脸识别" />

        <ImageView
            android:id="@+id/step2Image"
            android:layout_width="33dp"
            android:layout_height="33dp"
            android:layout_marginStart="180dp"
            android:layout_marginTop="50dp"
            android:contentDescription="@null"
            android:src="@mipmap/icon_sfyz_xyb"
            app:layout_constraintStart_toEndOf="@id/guideline"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/step2Text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:textColor="@android:color/white"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="@id/step2Image"
            app:layout_constraintStart_toStartOf="@id/step2Image"
            app:layout_constraintTop_toBottomOf="@id/step2Image"
            tools:text="密码验证" />

        <View
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="8dp"
            android:background="@drawable/dotted_line"
            app:layout_constraintBottom_toBottomOf="@id/step1Image"
            app:layout_constraintEnd_toStartOf="@id/step2Image"
            app:layout_constraintStart_toEndOf="@id/step1Image"
            app:layout_constraintTop_toTopOf="@id/step1Image" />

        <com.rc.core.ui.widget.SwipeViewPager
            android:id="@+id/viewPager"
            android:layout_width="500dp"
            android:layout_height="0dp"
            android:layout_marginTop="10dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/step1Text" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>